<template>
  <view class="right">
    <view v-for="(item, index) in rightList" :key="index" class="right-item">
      <image @click="goPath(item)" :src="item.img"></image>
      <text>{{ item.text }}</text>
    </view>
  </view>
</template>

<script>
import utils from "@/utils/index";
export default {
  data() {
    return {};
  },
  methods: {
    goPath(item) {
      let query = Object.assign({}, this.query);
      query.title = item.text;
      console.log(item);
        if (item.path) {
        let str = utils.mapToUrlQuery(query);
        console.log(item.path + "?" + str, "str");
        uni.navigateTo({
          url: item.path + "?" + str,
        });
      }
    },
  },
  props: {
    rightList: {
      type: Array,
      default: () => {
        return [];
      },
    },
    
    subject: {
      type: Number,
      default: 1,
    },
    query:{
      type:Object,
      default:()=>{
        return {
          
        }
      }
    }
  },
};
</script>

<style lang="scss" scoped>
.right {
  width: 150rpx;
  margin-top: 50rpx;
  font-size: 26rpx;
  .right-item {
    width: 150rpx;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-content: center;
    align-items: center;
    margin-bottom: 36rpx;
    image {
      width: 100rpx;
      height: 100rpx;
    }
  }
}
</style>